#server.port=8080



server.servlet.context-path=/schoolPerformanceEval
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.datasource.url=jdbc:mysql://65.0.210.244:3306/school_performance_monitoring
spring.datasource.username=westech
spring.datasource.password=Password@2023
spring.datasource.jndi-name=java:comp/env/jdbc/school_performance_monitoring

spring.jpa.hibernate.ddl-auto=none
spring.jpa.show-sql=true
spring.jpa.properties.hibernate.format_sql=true
#For Generated PDf

pdf.relative.directory=/opt/tomcat/pdf_uploads
spring.datasource.hikari.connection-timeout=20000 
spring.datasource.hikari.minimum-idle=2 
spring.datasource.hikari.maximum-pool-size=10 
spring.datasource.hikari.idle-timeout=10000 
spring.datasource.hikari.max-lifetime=200 


spring.web.resources.static-locations=file:/opt/tomcat/pdf_uploads


spring.mail.host=smtp.gmail.com
spring.mail.username=sept4860@gmail.com
spring.mail.password=wsgeptxjpcwdadxp
spring.mail.properties.mail.smtp.auth=true
# TLS, port 587
spring.mail.port=587
spring.mail.properties.mail.smtp.starttls.enable=true
#server.port=8081
# SSL, port 465
#spring.mail.properties.mail.smtp.socketFactory.port = 465
#spring.mail.properties.mail.smtp.socketFactory.class = javax.net.ssl.SSLSocketFactory